#ifndef HTTPSVR_PROPERTIES_H
#define HTTPSVR_PROPERTIES_H
#include <cstdint>
#include "common/json_util.h"

namespace zsy
{
    struct HttpSvrProperties
    {
        uint16_t port{80};
    };

    inline void from_json(const nlohmann::json &j, HttpSvrProperties &o)
    {
        PARSE_JSON(port, o.port);
    }
}

#endif //HTTPSVR_PROPERTIES_H
